Subject: Re: Recent map-elt change broke 'make bootstrap'

From: Nicolas Petton <[email-masked]>
Date: Sun, 21 Jun 2015 23:25:41 +0200

Paul Eggert <[email-masked]> writes:

> This seems to be due to commit 8b6d82d3ca86f76ed964063b3941a7c6ab0bf1c6 so I am 
> CC'ing Nicolas.

Indeed, I tried out things related to gv and map-elt, but committed the
wrong code somehow :/

I'll push a fix.

Nico

> The symptoms:
>
>    ELC      emacs-lisp/map.elc
>
> In toplevel form:
> emacs-lisp/map.el:125:5:Warning: gv-get called with 1 argument, but requires 2
> emacs-lisp/map.el:128:1:Error: (map--raw-place map #[257 "\301\300E\207" [map 
> setq] 4 "
>
> (fn V)"]) is not a valid place expression
> Makefile:268: recipe for target 'emacs-lisp/map.elc' failed
> make[2]: *** [emacs-lisp/map.elc] Error 1
> make[2]: Leaving directory '/home/eggert/src/gnu/emacs/static-checking/lisp'
> Makefile:291: recipe for target 'compile-main' failed
> make[1]: *** [compile-main] Error 2
> make[1]: Leaving directory '/home/eggert/src/gnu/emacs/static-checking/lisp'
> Makefile:385: recipe for target 'lisp' failed
> make: *** [lisp] Error 2

-- 
Nicolas Petton
http://nicolas-petton.fr